<template>
  <v-dialog v-model="dialog" width="auto">
    <template v-slot:activator="{ props }">
      <v-btn
          class="mt-2 mb-2 me-2 align-center"
          color="yellow-darken-3"
          v-bind="props">Ticket erstellen</v-btn>

    </template>
    <v-card>
      <v-card-text>
        <create-ticket-form
            :page="page"
            @dialog="dialog = false"
        ></create-ticket-form>
      </v-card-text>
      <v-card-actions>
        <v-btn class="mb-3" color="red-accent-4" block @click="dialog = false">Abbrechen</v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script setup>
import {ref} from "vue";
import CreateTicketForm from "@/components/forms/CreateTicketForm.vue";
const dialog = ref(false);
const props = defineProps(['page'])
</script>

<style scoped>
</style>
